> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Breakdown

> Get detailed payment breakdown with filtering.

Returns comprehensive payment data with detailed filtering capabilities.



## OpenAPI

````yaml get /analytics/dashboards/payment-breakdown/payment-breakdown
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards/payment-breakdown/payment-breakdown:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: Get Payment Breakdown
      description: |-
        Get detailed payment breakdown with filtering.

        Returns comprehensive payment data with detailed filtering capabilities.
      operationId: >-
        get_payment_breakdown_analytics_dashboards_payment_breakdown_payment_breakdown_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: group_by
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - location
                  - provider
                  - payment_medium
                  - created_date
                  - week
                  - month
                type: string
              - type: 'null'
            title: Group By
        - name: group_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Group Key
        - name: timezone
          in: query
          required: true
          schema:
            type: string
            description: Timezone for date grouping (e.g., 'America/New_York', 'UTC')
            title: Timezone
          description: Timezone for date grouping (e.g., 'America/New_York', 'UTC')
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            default: created_date
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Sort Direction
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: End Date
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Ids
        - name: location_names
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Names
        - name: payment_mediums
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Payment Mediums
        - name: payment_statuses
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Payment Statuses
        - name: min_amount
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Min Amount
        - name: max_amount
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Max Amount
        - name: comment
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Comment
        - name: location
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Provider
        - name: payment_medium
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Medium
        - name: created_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created Date
        - name: week
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Week
        - name: month
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Month
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_PaymentBreakdownItem_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_PaymentBreakdownItem_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PaymentBreakdownItem'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[PaymentBreakdownItem]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaymentBreakdownItem:
      properties:
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: Date when the payment was created
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
          description: Location name where the payment occurred
        patient:
          $ref: '#/components/schemas/PatientTiny'
          description: Patient information
        paymentMedium:
          type: string
          title: Paymentmedium
          description: Payment medium used
        paymentMethodType:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentmethodtype
          description: Payment method type (card, bank, etc.)
        paymentMethodDetails:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentmethoddetails
          description: Payment method details (last 4 digits, etc.)
        amount:
          type: integer
          title: Amount
          description: Payment amount in cents
        fee:
          type: integer
          title: Fee
          description: Fee amount in cents
        netAmount:
          type: integer
          title: Netamount
          description: Net amount after fees in cents
        status:
          type: string
          title: Status
          description: Payment status
        paymentId:
          type: string
          title: Paymentid
          description: Payment ID for reference
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
          description: Charge comment (from associated charge)
      type: object
      required:
        - createdDate
        - patient
        - paymentMedium
        - amount
        - fee
        - netAmount
        - status
        - paymentId
      title: PaymentBreakdownItem
      description: Individual payment breakdown item.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PatientTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
          default: PATIENT
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
        dateOfBirth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Dateofbirth
          description: The date of birth of the patient.
        onSchedulingBlacklist:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Onschedulingblacklist
          description: Whether the patient is on the scheduling blacklist.
      type: object
      required:
        - id
      title: PatientTiny
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType

````